{
  "name": "@cortical/messaging",
  "version": "0.0.10",
  "description": "An extension for Messaging implementation on Cortical based on Apollo GraphQL Subscription Redis Adapter",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/ezsper.com/cortical/queue"
  },
  "author": "Ezequiel S. Pereira <ezequiel@ezsper.com> (https://ezsper.com/)",
  "license": "MIT",
  "main": "./index.ts",
  "scripts": {
    "release": "node -r ts-node/register scripts/release",
    "test": "jest",
    "test:coverage": "jest --coverage",
    "lint": "tslint -t verbose --project .",
    "precommit": "lint-staged"
  },
  "engines": {
    "node": ">=6"
  },
  "lint-staged": {
    "*.{ts,tsx}": [
      "prettier-tslint --write",
      "git add"
    ]
  },
  "jest": {
    "transform": {
      "^.+\\.tsx?$": "ts-jest"
    },
    "modulePathIgnorePatterns": [
      "<rootDir>[/\\\\](dist|node_modules|scripts)[/\\\\]"
    ],
    "testRegex": "(/__tests__/.*|(\\.|/)(test|spec))\\.(jsx?|tsx?)$",
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js",
      "jsx",
      "json",
      "node"
    ]
  },
  "dependencies": {
    "graphql-subscriptions": "^0.5.8",
    "graphql-redis-subscriptions": "^1.5.0",
    "redis": "^2.8.0",
    "@types/bull": "^3.3.10",
    "@types/redis": "^2.8.6"
  },
  "peerDependencies": {
    "@cortical/core": ">=0.0.170",
    "typescript": ">=2.8.1"
  },
  "devDependencies": {
    "@cortical/core": "^0.0.170",
    "graphql": "^0.13.1",
    "@types/graphql": "^0.13.0",
    "@types/node": "^9.4.6",
    "ts-node": "^4.1.0",
    "typescript": "^2.8.1",
    "jest": "^22.4.2",
    "ts-jest": "^22.4.1",
    "tslint": "^5.9.1",
    "prettier-tslint": "^0.3.0",
    "tslint-config-prettier": "^1.9.0",
    "tslint-config-airbnb": "^5.7.0",
    "lint-staged": "^7.0.0"
  },
  "directories": {
    "test": "tests"
  },
  "keywords": [
    "cortical",
    "redis",
    "pubsub"
  ]
}
